Difference between revisions of "Open LI Compiling"

From neil.tappsville.com
Jump to navigationJump to search
(Created page with " = Generating RPMs to be able to test develop branches = 99% of the work is now in the build scripts. Start with a Vanilla Centos7 Install git clone https://github.com/wand...")
 
 
Line 29: Line 29:
  
 
== Problems with Compiling ==
 
== Problems with Compiling ==
 +
Resolved in Development Branch at 20191109
 
OpenLI relies on several modules from WAND/general/libwandder1, errors such as <code>collector/export_shared.h:57:5: error: unknown type name ‘wandder_buf_t’</code> introduced in change [https://github.com/wanduow/openli/commit/1afac7e272369efdf83758b5ad0c593c93bcab8e 1afac7e] indicate that the dev package for libwandder1 needs to be updated <code>yum update libwandder1-devel</code>
 
OpenLI relies on several modules from WAND/general/libwandder1, errors such as <code>collector/export_shared.h:57:5: error: unknown type name ‘wandder_buf_t’</code> introduced in change [https://github.com/wanduow/openli/commit/1afac7e272369efdf83758b5ad0c593c93bcab8e 1afac7e] indicate that the dev package for libwandder1 needs to be updated <code>yum update libwandder1-devel</code>

Latest revision as of 07:48, 11 November 2019

Generating RPMs to be able to test develop branches

99% of the work is now in the build scripts.

Start with a Vanilla Centos7 Install

git clone https://github.com/wanduow/openli.git
cd openli
git fetch && git checkout develop

Edit the version number

vi configure.ac
---
AC_INIT(openli, 1.0.3, ....


export CI_COMMIT_REF_NAME=1.0.3-1

Compile and package

./bootstrap
./gitlab-build-rpm.sh centos7
rpms are in /root/rpmbuild/RPMS/x86_64

Install from rpms by directly specifying them:

yum install openli-collector-1.0.3-1.el7.x86_64.rpm


Problems with Compiling

Resolved in Development Branch at 20191109 OpenLI relies on several modules from WAND/general/libwandder1, errors such as collector/export_shared.h:57:5: error: unknown type name ‘wandder_buf_t’ introduced in change 1afac7e indicate that the dev package for libwandder1 needs to be updated yum update libwandder1-devel